SU(1)

NOM
su - Changer d'identifiant d'utilisateur ou devenir superutilisateur

SYNOPSIS

su [options] [-] [username [ args ]]

DESCRIPTION

The su command is used to become another user during a login session. Invoked without a username, su defaults to becoming the superuser. The - option may be used to provide an environment similar to what the user would expect had the user logged in directly. The -c option may be used to treat the next argument as a command by most shells.

Options are recognized everywhere in the argument list. You can use the -- argument to stop option parsing. The - option is special: it is also recognized after --, but has to be placed before username.

Un mot de passe sera demandé à l'utilisateur, si nécessaire. Les mots de passe incorrects produisent un message d'erreur. Toutes les tentatives, réussies ou non, sont enregistrées afin de détecter tout abus du système.

The current environment is passed to the new shell. The value of $PATH is reset to /bin:/usr/bin for normal users, or /sbin:/bin:/usr/sbin:/usr/bin for the superuser. This may be changed with the ENV_PATH and ENV_SUPATH definitions in /etc/login.defs.

Une connexion à un sous-système est indiquée par la présence d'un « * » comme premier caractère de l'interpréteur de commandes initial. Le répertoire personnel sera utilisé comme racine d'un nouveau système de fichiers dans lequel l'utilisateur sera connecté.

OPTIONS

The options which apply to the su command are:

-c, --command COMMAND
    Specify a command that will be invoked by the shell using its -c.

    La commande exécutée n'aura aucun terminal de contrôle. Cette option ne peut pas être utilisée pour exécuter des programmes interactifs qui ont besoin d'un terminal de contrôle.

-, -l, --login
    Fournir à l'utilisateur un environnement similaire à celui qu'il aurait obtenu s'il s'était connecté directement.

    When - is used, it must be specified before any username. For portability it is recommended to use it as last option, before any username. The other forms (-l and --login) do not have this restriction.

-s, --shell SHELL
    Interpréteur de commande devant être appelé.

    The invoked shell is chosen from (highest priority first):

        The shell specified with --shell.

        If --preserve-environment is used, the shell specified by the $SHELL environment variable.

        The shell indicated in the /etc/passwd entry for the target user.

        /bin/sh if a shell could not be found by any above method.

    If the target user has a restricted shell (i.e. the shell field of this user's entry in /etc/passwd is not listed in /etc/shells), then the --shell option or the $SHELL environment variable won't be taken into account, unless su is called by root.

-m, -p, --preserve-environment
    Preserve the current environment, except for:

    $PATH
        reset according to the /etc/login.defs options ENV_PATH or ENV_SUPATH (see below);

    $IFS
        reset to « <space><tab><newline> », if it was set.

    If the target user has a restricted shell, this option has no effect (unless su is called by root).

    Note that the default behavior for the environment is the following:

        The $HOME, $SHELL, $USER, $LOGNAME, $PATH, and $IFS environment variables are reset.

        If --login is not used, the environment is copied, except for the variables above.

        If --login is used, the $TERM, $COLORTERM, $DISPLAY, and $XAUTHORITY environment variables are copied if they were set.

        Other environments might be set by PAM modules.

AVERTISSEMENTS

This version of su has many compilation options, only some of which may be in use at any particular site.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

VALEURS DE RETOUR

On success, su returns the exit value of the command it executed.

If this command was terminated by a signal, su returns the number of this signal plus 128.

If su has to kill the command (because it was asked to terminate, and the command did not terminate in time), su returns 255.

Some exit values from su are independent from the executed command:

0
    success (--help only)

1
    System or authentication failure

126
    The requested command was not found

127
    The requested command could not be executed

VOIR AUSSI

login(1), login.defs(5), sg(1), sh(1).